package com.nareshit.jwtauthentication;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.CommandLineRunner;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

import com.nareshit.jwtauthentication.model.Role;
import com.nareshit.jwtauthentication.model.RoleName;
import com.nareshit.jwtauthentication.security.services.UserDetailsServiceImpl;

@SpringBootApplication 
public class SpringBootJwtAuthenticationExamplesApplication implements CommandLineRunner{
	
	@Autowired
	private UserDetailsServiceImpl userService;

	public static void main(String[] args) {
		SpringApplication.run(SpringBootJwtAuthenticationExamplesApplication.class, args);
	}

	@Override
	public void run(String... args) throws Exception {
		
		Role objRole=new Role();
		objRole.setName(RoleName.ROLE_USER);
		userService.saveRole(objRole);
		
		
		objRole=new Role();
		objRole.setName(RoleName.ROLE_PM);
		userService.saveRole(objRole);
		
		
		objRole=new Role();
		objRole.setName(RoleName.ROLE_ADMIN);
		userService.saveRole(objRole);
	}

}
